(* the EL is *really* the highest-level representation of a package. *)
(* None's get filled in with defaults *)
type spec = {
    name: string; (* just the name, no "category-" *)
    version: string;
    revision: int;
    category: Common.category;
    depends: Common.dep list;
    build_depends: Common.dep list;
    sources_site: string;
    sources_basename: string;
    sources_extension: string;
    sources_unpacksto: string option;
    homepage: string;
    maintainer: string;
    short_desc: string;
    long_desc: string;
    options: Common.options list;
    docfiles: string list;
    confopts: Common.confopt list;
    all_target: string option;
    opt_target: string option;

    specfile: string;
}
